buffer_putulonglong(3)

NAME
buffer_putulonglong - write a decimal ASCII representation of a signed long integer to buffer

SYNTAX
#include <libowfat/buffer.h>

int buffer_putulonglong(buffer* b,unsigned long long x);

DESCRIPTION
buffer_putulonglong is equivalent to passing the result of fmt_ulonglong to buffer_put.

RETURN VALUE
0 if everything is fine, -1 on error (setting errno).

SEE ALSO
fmt_ulonglong(3), buffer_put(3), buffer_flush(3), buffer(3)